# pandas.Series.str.rindex

`Series.str.``rindex`(sub, start=0, end=None)

  Return highest indexes in each strings where the substring is fully contained between [start:end]. This is the same as `str.rfind` except instead of returning -1, it raises a ValueError when the substring is not found. Equivalent to standard `str.rindex`.

  Parameters:

  sub : str

  > Substring being searched

  start : int

  > Left edge index

  end : int

  > Right edge index

  Returns: | found : Series/Index of objects

  See also

  `index`
    Return lowest indexes in each strings

Scroll To Top